<template>
    <div>
        <h1>Update ticket</h1>
        <FormTicket v-if="ticket" :ticket="ticket" :submitCallback="updateTicket"/>
        <label v-if="error">{{error}}</label>
    </div>
</template>

<script>
  import TicketsServices from "@/services/ticket.js";
  import FormTicket from '@/components/FormTicket.vue';

  export default {
    name: "UpdateTicket",
    components : {
      FormTicket
    },
    async beforeCreate(){
      this.ticket = await TicketsServices.getTicket( this.$route.params.id );
      console.log(this.ticket)
    },
    data (){
      return {
        ticket : null,
        error : null
      }
    },
    methods : {
      async updateTicket(ticket){
        try {
          await TicketsServices.updateTicket(ticket);
          this.$router.push('/');

        } catch (e) {
          this.error = 'Oops there is a problem !';
        }
      }
    }
  }
</script>

<style scoped>

</style>